[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpSigDelSet

Remove a signal from a signal set.

## Declaration

Source position: bunxovlh.inc line 81

`function FpSigDelSet(`
`var nset: tsigset;`
`signo: cint`
`):cint;`

## Description

FpSigDelSet removes signal Signo to the signal set nset. The function returns 0 on success.

## Errors

If an invalid signal number is given, -1 is returned.

## See also

FpSigEmptySet |  | Clear all signals from signal set.
FpSigFillSet |  | Set all signals in signal set.
FpSigAddSet |  | Set a signal in a signal set.
FpSigIsMember |  | Check whether a signal appears in a signal set.